Record a Group Voicemail Greeting
Record a group voicemail greeting through placing a call to a specified extension.
Request URL
GET {base_url}/{api_path}/vm_greeting/record?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| owner | Yes | String | The number of the group voicemail to which the recorded greeting belongs. Note: You can query the number of the group voicemail using Query Group Voicemail List. |
| recorder | Yes | String | The number of the extension used to record the greeting. Note: You can query the extension number using Search Specific Extensions. |
| file | Yes | String | The filename of the greeting to be recorded. Note: Only numbers, letters, and special characters _ - are allowed. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| owner | String | The number of the group voicemail to which the recorded greeting belongs. |
Examples
Request example
Record a greeting (filename: group_vm_welcome) for the voicemail group (number: 6300) through placing a call to a specified extension (number: 3200). The extension user can answer the call and record greeting.
GET /openapi/v1.0/vm_greeting/record?access_token=EiFJV5toj0HLHgU2K1fxgN447k4G91PK&owner=6300&recorder=3200&file=group_vm_welcome HTTP/1.1 Host: 192.168.5.150:8088 User-Agent: OpenAPI
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"owner": "6300"
}